'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _extends3 = require('babel-runtime/helpers/extends');

var _extends4 = _interopRequireDefault(_extends3);

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

exports.default = gridironReact;

var _components = require('./components');

var components = _interopRequireWildcard(_components);

var _pureStamp = require('pure-stamp');

var _pureStamp2 = _interopRequireDefault(_pureStamp);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var applyCapitalization = function applyCapitalization(str) {
  return str.length <= 2 ? str.toUpperCase() : '' + str[0].toUpperCase() + str.slice(1);
};

/**
 * gridiron
 * Requires dependencies { React } and returns a decorated component.
 */
function gridironReact(deps, defaults) {
  var pure = (0, _pureStamp2.default)(deps, defaults);
  return (0, _keys2.default)(components).reduce(function (libs, x) {
    return (0, _extends4.default)({}, libs, (0, _defineProperty3.default)({}, applyCapitalization(x), components[x](pure)));
  }, {});
}