'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = logo;
function logo(pure) {
  var React = pure.React,
      PropTypes = pure.PropTypes,
      defaults = pure.defaults;


  return pure({ displayName: 'Logo',
    propTypes: { styles: PropTypes.shape({ logo: PropTypes.string.isRequired }).isRequired },
    defaultProps: defaults,
    render: function render() {
      var styles = this.props.styles;

      return React.createElement(
        'span',
        { className: styles.logo },
        React.createElement(
          'span',
          { className: styles.text },
          'gridiron'
        )
      );
    }
  });
}