'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _from = require('babel-runtime/core-js/array/from');

var _from2 = _interopRequireDefault(_from);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.default = pane;

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var should = require('chai').should();

function pane(pure) {
  var React = pure.React,
      PropTypes = pure.PropTypes,
      defaults = pure.defaults;


  return pure({ displayName: 'Pane'
    //, state: { transition: false }
    , propTypes: { styles: PropTypes.object.isRequired,
      theme: PropTypes.object.isRequired,
      enabled: PropTypes.bool.isRequired
    },
    defaultProps: (0, _extends3.default)({}, defaults, { enabled: false
    }),
    componentWillReceiveProps: function componentWillReceiveProps(nextProps) {
      /*
        if(nextProps.enabled !== this.props.enabled)
          this.setState({ transition: true })
        setTimeout(() => this.setState({ transition: false }), 500)
        */
    },
    render: function render() {
      var sample = (0, _from2.default)(Array(20).fill(1));
      var _props = this.props,
          styles = _props.styles,
          theme = _props.theme,
          enabled = _props.enabled,
          children = _props.children;
      //const { transition } = this.state

      var className = (0, _classnames2.default)(styles.pane, theme.pane, enabled ? styles.paneEnabled : styles.paneDisabled, enabled ? theme.paneEnabled : theme.paneDisabled
      /*
      , transition ? styles.paneTransition : null
      , transition ? theme.paneTransition : null
      */
      );

      /*
              const PaneColumn = ({ children }) => (
                <div className={cn(styles.paneColumn, theme.paneColumn)}>
                  {children}
                </div>
              )
              */

      return React.createElement(
        'div',
        { className: className },
        React.createElement(
          'div',
          { className: (0, _classnames2.default)(styles.paneContent, theme.paneContent) },
          children
        )
      );
    }
  });
}