'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = shouldDocumentUpdate;

var _util = require('util');

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function shouldDocumentUpdate(obj, nextProps, nextState) {
  var hasDescendantProps = obj.props.children && obj.props.children.props;
  var hasNextDescendantProps = nextProps.children && nextProps.children.props;
  if (hasDescendantProps && hasNextDescendantProps) {
    return true;
  }
  return true;
}